var path = require('path');
var webpack = require('webpack');
var merge = require('webpack-merge');
var UglifyJsPlugin = require('uglifyjs-webpack-plugin')



// 生产环境webpack配置
var webpackConf = require('./webpack.dev.conf');

module.exports = merge(webpackConf, {
    devtool : false,

    plugins : [
        new UglifyJsPlugin({
            uglifyOptions : {
    
                comments: false,        //去掉注释
                compress: {
                    warnings: false,    //忽略警告,要不然会有一大堆的黄色字体出现……
                    drop_debugger: true,
                    drop_console: true
                },
                warnings: false
            }
        })
    ]
});